{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block meta %}
<title>Register @Nito-dev account</title>
{% endblock meta %}

{% block content %}
  {% load socialaccount %}
  <div class="container mt-5">
    <h1 class="fw-bold mb-4">Join the club FREE!</h1>
    <a class="btn btn-google btn-outline-danger mb-3" href="{% provider_login_url 'google' %}">
      <img src="{% static 'img/google.svg' %}">
      Login with Google
    </a>
    
    <form method="POST">
      {% csrf_token %}
      <div class="mb-3">{{ form.first_name|as_crispy_field }}</div>
      <div class="mb-3">{{ form.last_name|as_crispy_field }}</div>
      <div class="mb-3">{{ form.username|as_crispy_field }}</div>
      <div class="mb-3">{{ form.password1|as_crispy_field }}</div>
      <div class="mb-3">{{ form.password2|as_crispy_field }}</div>

      <button type="submit" class="btn btn-primary mb-3">Login</button>
    </form>

    {% if messages %}
      <div class="alert alert-danger">
        {% for message in messages %}
          {%  if forloop.first  %}
            {{ message }}
          {% endif %}
      {% endfor %}
      </div>
    {% endif %}

    <p>Already have an account? Just <a href="/user/login">login</a>.</p>
  </div>

{% endblock content %}
